from os.path import dirname, abspath
from IzzyLib import logging, template
from IzzyLib.misc import config_dir


stor_path = config_dir(__file__)

logging.setConfig({'level': 'info'})
logging.debug(f'Config: {logging.getConfig()}')

templates = abspath(dirname(__file__))+'/templates'
template.addSearchPath(templates)
template.addBuildPath('default', templates+'/pages', stor_path+'/templates')
template.setup()
